ViennaCL - The Vienna Computing Library: viennacl::device_specific::builtin_database Namespace Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Namespaces | Classes | Functions
viennacl::device_specific::builtin_database Namespace Reference

## Namespaces
| devices

## Classes
class | database_type

## Functions
template<typename StringT >
StringT | get_mapped_device_name (StringT const &device_name, vendor_id_type vendor_id)
template<class NumericT , class ParamT >
ParamT const & | get_parameters (database_type< ParamT > const &database, viennacl::ocl::device const &device)
| Get the profile for a device and a descriptor. More...
database_type < matrix_product_template::parameters_type > | init_matrix_product_N_N ()
database_type < matrix_product_template::parameters_type > | init_matrix_product_T_N ()
database_type < matrix_product_template::parameters_type > | init_matrix_product_N_T ()
database_type < matrix_product_template::parameters_type > | init_matrix_product_T_T ()
template<class NumericT >
matrix_product_template::parameters_type const & | matrix_product_params (ocl::device const &device, char A_trans, char B_trans)

## Function Documentation

template<typename StringT >

StringT viennacl::device_specific::builtin_database::get_mapped_device_name | ( | StringT const & | device_name,
|  | vendor_id_type | vendor_id
| ) |  |

Examples:
  viennacl-info.cpp.

Definition at line 108 of file common.hpp.

template<class NumericT , class ParamT >

ParamT const& viennacl::device_specific::builtin_database::get_parameters | ( | database_type< ParamT > const & | database,
|  | viennacl::ocl::device const & | device
| ) |  |
| inline

Get the profile for a device and a descriptor.

There are built-in defaults for CPUs, Accelerators, GPUs.

Definition at line 148 of file common.hpp.

database_type<matrix_product_template::parameters_type> viennacl::device_specific::builtin_database::init_matrix_product_N_N | ( |  | ) |
| inline

Definition at line 68 of file matrix_product.hpp.

database_type<matrix_product_template::parameters_type> viennacl::device_specific::builtin_database::init_matrix_product_N_T | ( |  | ) |
| inline

Definition at line 142 of file matrix_product.hpp.

database_type<matrix_product_template::parameters_type> viennacl::device_specific::builtin_database::init_matrix_product_T_N | ( |  | ) |
| inline

Definition at line 105 of file matrix_product.hpp.

database_type<matrix_product_template::parameters_type> viennacl::device_specific::builtin_database::init_matrix_product_T_T | ( |  | ) |
| inline

Definition at line 182 of file matrix_product.hpp.

template<class NumericT >

matrix_product_template::parameters_type const& viennacl::device_specific::builtin_database::matrix_product_params | ( | ocl::device const & | device,
|  | char | A_trans,
|  | char | B_trans
| ) |  |

Definition at line 224 of file matrix_product.hpp.